//
// FILE: sampapp.cpp
//
// Copyright (c) 1997 by Aaron Michael Cohen and Mike Woodring
//
/////////////////////////////////////////////////////////////////////////

#include <windows.h>
#include "..\sampdll\sampdll.h"

void main( void )
{
    OutputDebugString("Hello from sampapp.exe!\n");
    
    HINSTANCE hLib = LoadLibrary("sampdll.dll");

    if( hLib )
    {
        PFXNSAYHELLO pSayHello = (PFXNSAYHELLO)GetProcAddress(hLib, "SayHello");

        if( pSayHello )
        {
            (* pSayHello)();
        }

        FreeLibrary(hLib);
    }
    else
    {
        OutputDebugString("Failed to load sampdll.dll\n");
    }
}
