//
// FILE: CMADThreadHandler.h
//
// Copyright (c) 1997 by Aaron Michael Cohen and Mike Woodring
//
/////////////////////////////////////////////////////////////////////////

#ifndef __MadThreadHandler__
#define __MadThreadHandler__

#include <CMclGlobal.h>
#include <CMclEvent.h>
#include <CMclThread.h>

class CMADThreadHandler : public CMclThreadHandler
{
    public:
        CMADThreadHandler( CMclEvent& ExitEvent );
        ~CMADThreadHandler();

        virtual unsigned ThreadHandlerProc( void );

    private:
        static LONG WINAPI UnhandledExceptionFilter( PEXCEPTION_POINTERS pExceptionInfo );

    private:
        CMclEvent&                              m_ExitEvent;
        static CMclEvent                        s_MADEvent;
        static LPTOP_LEVEL_EXCEPTION_FILTER     s_pPrevUnhandledExceptionFilter;
};

#endif // __MadThreadHandler__
